Subject: [alto] WGLC for draft-ietf-alto-cdni-request-routing-alto-09

From: Vijay Gurbani <[email-masked]>
Date: Mon, 3 Feb 2020 09:08:13 -0600

All: Jan and I will like to start WGLC for
draft-ietf-cdni-request-routing-alto-09.  The WGLC period will run from
Mon,
Feb 3 2020 to Wed, Feb 19 2020.

This email is also being cross-posted to the CDNI working group.

We will like to have one WG list member from ALTO and one WG list member
from
CDNI review this draft in depth.  Please send Jan and me an email if you
are willing
review the draft as part of WGLC.

In addition, we will like general reviews of the draft from both ALTO and
CDNI WGs.

Thank you.

---

From: Danny Alex Lachos Perez <[email-masked]>
Date: Mon, 17 Feb 2020 14:19:33 -0300

Dear authors,

I have performed a review of this draft (-09).
My comments are below:

1) Section 2.2

   "Application-Layer Traffic Optimization (ALTO) [RFC7285
<https://tools.ietf.org/html/rfc7285>] is an
   approach for guiding the resource provider selection process in
   distributed applications that can choose among several candidate
   resources providers to retrieve a given resource.  By conveying
   network layer (topology) information, an ALTO server can provide
   important information to "guide" the resource provider selection
   process in distributed applications."

 The two paragraphs are very similar in content, consider merging. E.g.:
"Application-Layer Traffic Optimization (ALTO) [RFC7285] is an approach for
conveying network layer (topology) information to "guide" the resource
provider selection process in distributed applications."

2) Section 2.2

"Recently, however, ALTO is
   also being considered for improving the request routing in CDNs
   [I-D.jenkins-alto-cdn-use-cases
<https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.jenkins-alto-cdn-use-cases>]."

The reference dates from 2012 and it is an expired draft

3) Section 2.2

  "This would enable a uCDN to

      determine if a given dCDN actually has the capabilities for a
      given request with respect to the type of content requested."

Wordy sentence, consider rewriting: e.g., "This would enable a uCDN to
determine if a dCDN actually has the capabilities for a given type of
content request."

4) Section 2.1

"      related to CDNI Metadata.

   o"

Remove last bullet (there is no text)

5) Introduction

"instead of getting the full resource which can be huge.  Section 6
<https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-6>"

Consider adding a comma: "instead of getting the full resource*,* which can
be huge. Section 6"

6) Introduction

"Section 7 <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-7>
and Section 8 <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-8>
respectively."

Consider adding a comma: "Section 7 and Section 8, respectively."

7) Section 2.2

"   in particular for an FCI protocol:

   o"

Remove bullet (there is no text)

8) Section 4.2.4

"In this example, the ALTO client is interested in changes of "my-
   cdnifci-with-pid-footprints".  Considering two changes, the first one"

Consider rewriting: "In this example, the ALTO client is interested in two
changes of "my- cdnifci-with-pid-footprints". The first one"

9) Section 2.2

"design of ALTO supports server pushed incremental updates

      [I-D.ietf-alto-incr-update-sse
<https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.ietf-alto-incr-update-sse>]."

Consider updating the reference

sse-17 -> sse-19

10) Section 2.2

"  ALTO Path
      Vector Extension [I-D.ietf-alto-path-vector
<https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.ietf-alto-path-vector>]
is designed to allow"

Consider updating the reference

vector-08 -> vector-09

11) Section 2.2

"footprint by a dCDN, in particular
      if such a footprint is being"

Consider adding a comma: "... in particular*,* if such ..."

12) Section 2.2

"would enable a dCDN to directly inform a uCDN about such changes."

Consider rewriting: "to directly inform a uCDN about such changes" -> "to
inform a uCDN about such changes directly"

13) Section 3.6

"value and footprints, where footprints are defined in "

Consider adding a comma: "... value, and footprints ..."

14) Section 5.6

"an full CDNI FCI resource (See Section 3.6
<https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-3.6>.)"

"an full" -> a full

15) Section 6

"CDNI capabilities, the most natrual way to satisfy this requirement"

"natrual" -> "natural"

16) Section 6

"   is to use the ALTO property map defined in
   [I-D.ietf-alto-unified-props-new
<https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.ietf-alto-unified-props-new>]."

Consider updating the reference

new-09 -> new-10

17) Section 6.1.1.2

"The entity identifiers of entities in an asn domain is encoded as a"

Consider changing the verb form: "The entity identifiers of entities in an
asn domain *are* encoded..."

18) Section 6.1.2.2

"The entity identifiers of entities in a countrycode domain is encoded"

Consider changing the verb form: "The entity identifiers of entities in a
countrycode domain *are* encoded..."

19) Section 7.1

"A new footprint type is to be registred"

Typo: "registred" -> registered

20) Section 7.3

"property type is to be registred, listed in Table 3."

Typo: "registred" -> registered

21) Section 8

"Security Considerations (Section 15
<https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-15>)
of the base protocol fully apply"

Consider fixing the link "Section 15"

22) Section 8

"expoing all full/filtered CDNI FCI resources in one of its IRDs."

"expoing" -> "exposing"

Best regards,

Danny Lachos

On Mon, Feb 3, 2020 at 1:06 PM Vijay Gurbani <[email-masked]>
wrote:

> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>

---

From: [email-masked]
Date: Wed, 19 Feb 2020 23:12:10 +0000

I have review draft-ietf-alto-cdni-request-routing-alto-09 and don’t have any issues except some minor suggestions and nits.

Sec 1 Introduction:

1.       If by using “functionalities” below is meant to reference the two RFC (RFC 7975 & RFC 8008), semantically, it may be better to state that the request routing interface is covered in two separate RFCs and reference the two RFC by name and number.

a.       Correspondingly, the request routing interface is broadly divided into two functionalities: (1) CDNI Footprint & Capabilities Advertisement interface (FCI), and (2) CDNI Request Routing Redirection interface (RI).

2.       (replace is -> are)

a.       A protocol to transport and update such objects between a uCDN and a dCDN, however, is not defined

3.       (delete “some”)

b.      In this way, a uCDN can effectively fetch capabilities of some footprints in which it is interested

4.       (add “as defined” instead of “defined” in two places in the sentence starting as below)

c.       Throughout this document, we use the terminologies for CDNI defined…

Section 2.1:

5.       (replace “For a detailed discussions” with “For detailed information…” )

d.      For a detailed discussion, the reader is referred to the RFCs.

6.       Remove extra sub bullet at the end of section 2.1 since there is no text (check the document for other instances of bullet but no text).

Section 2.2:

7.       Remove reference to I-D.jenkins-alto-cdn-use-cases

8.       Replace (“Identifications -> Identification): Security: Identifications between uCDNs and dCDNs are extremely important

9.       Can an example be added of what unexpected cases authors envision?

a.       Error-handling: The ALTO protocol has undergone extensive revisions in order to provide sophisticated error-handling, in particular regarding unexpected cases
Section 6:

10.   Re-word (“First, we describe how to represent”)

a.       We firstly describe how to represent

11.   Replace (“And then” with “Second”)

Section 8:

12.   Add a colon  after follows

a.       included as follows.

13.   Needs some rewording for the sentence below:

a.       For availability of ALTO services, an attacker may get the potential huge full CDNI

Thanks
Sanjay

From: CDNi [mailto:[email-masked]] On Behalf Of Vijay Gurbani
Sent: Monday, February 3, 2020 10:08 AM
To: IETF ALTO <[email-masked]>; [email-masked]
Subject: [E] [CDNi] WGLC for draft-ietf-alto-cdni-request-routing-alto-09

All: Jan and I will like to start WGLC for
draft-ietf-cdni-request-routing-alto-09.  The WGLC period will run from Mon,
Feb 3 2020 to Wed, Feb 19 2020.

We will like to have one WG list member from ALTO and one WG list member from
CDNI review this draft in depth.  Please send Jan and me an email if you are willing
review the draft as part of WGLC.

In addition, we will like general reviews of the draft from both ALTO and CDNI WGs.

Thank you.

---

From: Jan Seedorf <[email-masked]>
Date: Sun, 23 Feb 2020 22:08:14 +0100

Dear Danny,

thank you very much for reading the draft carefully and for your 
comments! We will go through them and address them.

  - Jan (and co-authors)

On 17.02.20 18:19, Danny Alex Lachos Perez wrote:
>         "Application-Layer Traffic Optimization (ALTO) [RFC7285  <https://tools.ietf.org/html/rfc7285>] is an
>     "Application-Layer Traffic Optimization (ALTO) [RFC7285] is an
>     approach for conveying network layer (topology) information to
>     "guide" the resource provider selection process in distributed
>     applications."
>
> 2) Section 2.2
>
>         [I-D.jenkins-alto-cdn-use-cases  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.jenkins-alto-cdn-use-cases>]."
>
>     Wordy sentence, consider rewriting: e.g., "This would enable a
>     uCDN to determine if a dCDN actually has the capabilities for a
>     given type of content request."
>
>
> 4) Section 2.1
>
>     "instead of getting the full resource which can be huge.Section 6  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-6>"
>
>     Consider adding a comma: "instead of getting the full resource*,*
>     which can be huge. Section 6"
>
>
> 6) Introduction
>
>     "Section 7  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-7>  andSection 8  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-8>  respectively."
>
>     Consider rewriting: "In this example, the ALTO client is
>     interested in two changes of "my- cdnifci-with-pid-footprints".
>     The first one"
>
> 9) Section 2.2
>
>            [I-D.ietf-alto-incr-update-sse  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.ietf-alto-incr-update-sse>].."
>
>            Vector Extension [I-D.ietf-alto-path-vector  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.ietf-alto-path-vector>] is designed to allow"
>
>     Consider rewriting: "to directly inform a uCDN about such changes"
>     -> "to inform a uCDN about such changes directly"
>
>
> 13) Section 3.6
>
>     "value and footprints, where footprints are defined in"
>
>     "an full CDNI FCI resource (SeeSection 3.6  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-3.6>.)"
>
>     "an full" -> a full
>
>
> 15) Section 6
>
>         [I-D.ietf-alto-unified-props-new  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#ref-I-D.ietf-alto-unified-props-new>]."
>
>     Consider changing the verb form: "The entity identifiers of
>     entities in an asn domain *are* encoded..."
>
>
> 18) Section 6.1.2.2
>
>     Consider changing the verb form: "The entity identifiers of
>     entities in a countrycode domain *are* encoded..."
>
>
> 19) Section 7.1
>
>     "Security Considerations (Section 15  <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-15>) of the base protocol fully apply"
>
> Bestregards,
> On Mon, Feb 3, 2020 at 1:06 PM Vijay Gurbani <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     [email-masked] <mailto:[email-masked]>
> CDNi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cdni

---

From: Jan Seedorf <[email-masked]>
Date: Sun, 23 Feb 2020 22:08:43 +0100

Dear Sanjay,

  - Jan (and co-authors)

On 20.02.20 00:12, sanjay.mishra=[email-masked] wrote:
>
> I have review draft-ietf-alto-cdni-request-routing-alto-09 and don’t 
> have any issues except some minor suggestions and nits.
>
> *Sec 1 Introduction:*
>
> 1.If by using “functionalities” below is meant to reference the two 
> RFC (RFC 7975 & RFC 8008), semantically, it may be better to state 
> that the request routing interface is covered in two separate RFCs and 
> reference the two RFC by name and number.
>
> a.Correspondingly, the request routing interface is broadly divided 
> into two functionalities: (1) CDNI Footprint & Capabilities 
> Advertisement interface (FCI), and (2) CDNI Request Routing 
> Redirection interface (RI).
>
> 2.(replace is -> are)
>
> a.A protocol to transport and update such objects between a uCDN and a 
> dCDN, however, is not defined
>
> 3.(delete “some”)
>
> b.In this way, a uCDN can effectively fetch capabilities of some 
> footprints in which it is interested
>
> 4.(add “as defined” instead of “defined” in two places in the sentence 
> starting as below)
>
> c.Throughout this document, we use the terminologies for CDNI defined…
>
> *Section 2.1:*
>
> 5.(replace “For a detailed discussions” with “For detailed information…” )
>
> d.For a detailed discussion, the reader is referred to the RFCs.
>
> 6.Remove extra sub bullet at the end of section 2.1 since there is no 
> text (check the document for other instances of bullet but no text).
>
> *Section 2.2:*
>
> 7.Remove reference to I-D.jenkins-alto-cdn-use-cases
>
> 8.Replace (“Identifications -> Identification): Security: 
> Identifications between uCDNs and dCDNs are extremely important
>
> 9.Can an example be added of what unexpected cases authors envision?
>
> a.Error-handling: The ALTO protocol has undergone extensive revisions 
> in order to provide sophisticated error-handling, in particular 
> regarding unexpected cases
>
> *Section 6:*
>
> 10.Re-word (“First, we describe how to represent”)
>
> a.We firstly describe how to represent
>
> 11.Replace (“And then” with “Second”)
>
> *Section 8:*
>
> 12.Add a colon  after follows
>
> a.included as follows.
>
> 13.Needs some rewording for the sentence below:
>
> a.For availability of ALTO services, an attacker may get the potential 
> huge full CDNI
>
> Thanks
>
> Sanjay
>
> *From:*CDNi [mailto:[email-masked]] *On Behalf Of *Vijay Gurbani
> *Sent:* Monday, February 3, 2020 10:08 AM
> *To:* IETF ALTO <[email-masked]>; [email-masked]
> *Subject:* [E] [CDNi] WGLC for 
> draft-ietf-alto-cdni-request-routing-alto-09
>

---

From: "Y. Richard Yang" <[email-masked]>
Date: Mon, 24 Feb 2020 00:55:48 -0500

Dear Danny,

Thank you so much for the excellent review. We are working on them and will
get a version by Tuesday.

Richard

On Mon, Feb 17, 2020 at 12:20 PM Danny Alex Lachos Perez <
[email-masked]> wrote:

> "Application-Layer Traffic Optimization (ALTO) [RFC7285] is an approach
> for conveying network layer (topology) information to "guide" the resource
> "instead of getting the full resource which can be huge.  Section 6 <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-6>"
>
> Consider adding a comma: "instead of getting the full resource*,* which
> can be huge. Section 6"
>
>
> 6) Introduction
>
> "Section 7 <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-7> and Section 8 <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-8> respectively."
>
> "an full CDNI FCI resource (See Section 3.6 <https://tools.ietf.org/html/draft-ietf-alto-cdni-request-routing-alto-09#section-3.6>.)"
>
> "an full" -> a full
>
>
> 15) Section 6
>
-- 
Richard

---

From: "Y. Richard Yang" <[email-masked]>
Date: Mon, 24 Feb 2020 00:58:25 -0500

Dear Sanjay,

Thank you so much for the careful review! We will follow the suggestions
and take a pass. In particular, we will enumerate a few examples of error
handling as suggested. We will post a new version by Tuesday.

Richard

On Wed, Feb 19, 2020 at 6:12 PM <sanjay.mishra=[email-masked]>
wrote:

> I have review draft-ietf-alto-cdni-request-routing-alto-09 and don’t have
> any issues except some minor suggestions and nits.
>
>
>
> *Sec 1 Introduction:*
>
> 1.       If by using “functionalities” below is meant to reference the
> two RFC (RFC 7975 & RFC 8008), semantically, it may be better to state that
> the request routing interface is covered in two separate RFCs and reference
> the two RFC by name and number.
>
> a.       Correspondingly, the request routing interface is broadly
> divided into two functionalities: (1) CDNI Footprint & Capabilities
> Advertisement interface (FCI), and (2) CDNI Request Routing Redirection
> interface (RI).
>
>
>
> 2.       (replace is -> are)
>
> 6.       Remove extra sub bullet at the end of section 2.1 since there is
> no text (check the document for other instances of bullet but no text).
>
>
>
> *Section 2.2:*
>
> 8.       Replace (“Identifications -> Identification): Security:
> a.       Error-handling: The ALTO protocol has undergone extensive
> revisions in order to provide sophisticated error-handling, in particular
> *From:* CDNi [mailto:[email-masked]] *On Behalf Of *Vijay Gurbani
-- 
Richard